Package com.independentsoft.calc.engine

# Class DateSerial

java.lang.Object
com.independentsoft.calc.engine.DateSerial

public final class DateSerial extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static int`
  `MaxSerialDay1900`
  `static int`
  `MaxSerialDay1904`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `getTimeParts​(double serial, OutInt hour, OutInt minute, OutInt second)`
  `static int`
  `maxSerialDay​(boolean date1904)`
  `static boolean`
  `tryDateTimeToSerial​(Calendar dt, boolean date1904, OutDouble serial)`
  `static boolean`
  `tryGetDateParts​(double serial, boolean date1904, OutInt year, OutInt month, OutInt day)`
  `static boolean`
  `tryMakeSerial​(int year, int month, int day, boolean date1904, OutDouble serial)`
  `static boolean`
  `tryParseDateTimeText​(String text, boolean date1904, OutDouble serial, OutBool hasDate, OutBool hasTime)`
  `static boolean`
  `tryToDateTime​(double serial, boolean date1904, Out<Calendar> dt)`
  `static int`
  `weekdaySundayBased​(double serial, boolean date1904)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MaxSerialDay1900

    public static final int MaxSerialDay1900
    See Also:
      Constant Field Values

  - ### MaxSerialDay1904

    public static final int MaxSerialDay1904
    See Also:
      Constant Field Values

- ## Method Details

  - ### maxSerialDay

    public static int maxSerialDay​(boolean date1904)

  - ### tryDateTimeToSerial

    public static boolean tryDateTimeToSerial​(Calendar dt, boolean date1904, OutDouble serial)

  - ### tryMakeSerial

    public static boolean tryMakeSerial​(int year, int month, int day, boolean date1904, OutDouble serial)

  - ### tryGetDateParts

    public static boolean tryGetDateParts​(double serial, boolean date1904, OutInt year, OutInt month, OutInt day)

  - ### tryToDateTime

    public static boolean tryToDateTime​(double serial, boolean date1904, Out<Calendar> dt)

  - ### getTimeParts

    public static void getTimeParts​(double serial, OutInt hour, OutInt minute, OutInt second)

  - ### weekdaySundayBased

    public static int weekdaySundayBased​(double serial, boolean date1904)

  - ### tryParseDateTimeText

    public static boolean tryParseDateTimeText​(String text, boolean date1904, OutDouble serial, OutBool hasDate, OutBool hasTime)